PCAP_LIST_TSTAMP_TYPES(3) | Library Functions Manual | PCAP_LIST_TSTAMP_TYPES(3)

# NAME

pcap_list_tstamp_types, pcap_free_tstamp_types - get a list of time stamp types supported by a capture device, and free that list

# SYNOPSIS

    #include <pcap/pcap.h>

    int pcap_list_tstamp_types(pcap_t *p, int **tstamp_typesp);
    void pcap_free_tstamp_types(int *tstamp_types);

# DESCRIPTION

pcap_list_tstamp_types() is used to get a list of the supported time stamp types of the interface associated with the pcap descriptor. pcap_list_tstamp_types() allocates an array to hold the list and sets *tstamp_typesp to point to the array. See pcap-tstamp(7) for a list of all the time stamp types.

The caller is responsible for freeing the array with pcap_free_tstamp_types(), which frees the list pointed to by tstamp_types.

# RETURN VALUE

pcap_list_tstamp_types() returns the number of time stamp types in the array on success and PCAP_ERROR on failure. A return value of zero means that you cannot specify a time stamp type; you are limited to the capture device's default time stamp type. If PCAP_ERROR is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

# SEE ALSO

pcap(3), pcap_geterr(3), pcap_tstamp_type_val_to_name(3), pcap-tstamp(7)

22 August 2010 |